> ## Documentation Index
> Fetch the complete documentation index at: https://docs.granola.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete webhook endpoint



## OpenAPI

````yaml delete /v1/webhook-endpoints/{webhook_endpoint_id}
openapi: 3.1.0
info:
  title: Granola API
  version: 1.0.0
  description: API for accessing meeting data from Granola
servers:
  - url: https://public-api.granola.ai
    description: Production
security: []
paths:
  /v1/webhook-endpoints/{webhook_endpoint_id}:
    delete:
      summary: Delete webhook endpoint
      parameters:
        - schema:
            type: string
            pattern: ^whe_[a-zA-Z0-9]{14}$
            description: The ID of the webhook endpoint
            example: whe_2mKr8fQxLp7Ta3
          required: true
          name: webhook_endpoint_id
          in: path
      responses:
        '200':
          description: Webhook endpoint deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteWebhookEndpointOutput'
        '400':
          description: Bad request
        '401':
          description: Unauthorized - Invalid API key
        '404':
          description: Not found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DeleteWebhookEndpointOutput:
      type: object
      properties:
        id:
          type: string
          pattern: ^whe_[a-zA-Z0-9]{14}$
          description: The ID of the deleted webhook endpoint
          example: whe_2mKr8fQxLp7Ta3
        object:
          type: string
          enum:
            - webhook_endpoint
        deleted:
          type: boolean
          enum:
            - true
      required:
        - id
        - object
        - deleted
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: apiKey

````